Package twisted :: Package protocols :: Module xmlstream :: Class XmlStream

[frames | no frames]

## Class XmlStream

     EventDispatcher --+
                       |
    BaseProtocol --+   |
                   |   |
            Protocol --+
                       |
                      XmlStream

Method Summary
| `__init__(self, authenticator)`
| `connectionLost(self, _)`
| ``connectionMade`(self)` Called when a connection is made.
| `dataReceived(self, buf)`
| `onDocumentEnd(self)`
| `onDocumentStart(self, rootelem)`
| `onElement(self, element)`
| `resetDispatchFn(self)`
| `send(self, obj)`
| `setDispatchFn(self, fn)`
| `streamError(self, errelem)`
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.
Inherited from EventDispatcher
| ``_addObserver`(self, onetime, event, observerfn, *args, **kwargs)`
| ``_isEvent`(self, event)`
| ``addObserver`(self, event, observerfn, *args, **kwargs)`
| ``addOnetimeObserver`(self, event, observerfn, *args, **kwargs)`
| ``dispatch`(self, object, event)`
| ``removeObserver`(self, event, observerfn)`

Class Variable Summary
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

Generated by Epydoc 2.0 on Sat May 15 20:08:49 2004 | http://epydoc.sf.net